scala.tools.nsc.transform.SpecializeTypes

# Forward

#### case class Forward(t: Global.Symbol) extends SpecializedInfo with Product with Serializable

Symbol is a method that should be forwarded to 't'

Source
  SpecializeTypes.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, SpecializedInfo, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Forward
2. Serializable
3. Serializable
4. Product
5. Equals
6. SpecializedInfo
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Forward(t: Global.Symbol)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Forward to any2stringadd[Forward] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Forward, B)

   Implicit information
     This member is added by an implicit conversion from Forward to ArrowAssoc[Forward] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def degenerate: Boolean

   A degenerated method has @specialized type parameters that appear only in type bounds of other @specialized type parameters (and not in its result type).

   A degenerated method has @specialized type parameters that appear only in type bounds of other @specialized type parameters (and not in its result type).

   Definition Classes
     SpecializedInfo

9. #### def ensuring(cond: (Forward) ⇒ Boolean, msg: ⇒ Any): Forward

   Implicit information
     This member is added by an implicit conversion from Forward to Ensuring[Forward] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (Forward) ⇒ Boolean): Forward

    Implicit information
      This member is added by an implicit conversion from Forward to Ensuring[Forward] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): Forward

    Implicit information
      This member is added by an implicit conversion from Forward to Ensuring[Forward] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): Forward

    Implicit information
      This member is added by an implicit conversion from Forward to Ensuring[Forward] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Forward to StringFormat[Forward] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### val t: Global.Symbol

23. #### def target: Global.Symbol

    Definition Classes
      Forward → SpecializedInfo

24. #### def typeBoundsIn(env: TypeEnv): Boolean

    Are type bounds of @specialized type parameters of 'target' now in 'env'?

    Are type bounds of @specialized type parameters of 'target' now in 'env'?

    Definition Classes
      SpecializedInfo

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def →[B](y: B): (Forward, B)

    Implicit information
      This member is added by an implicit conversion from Forward to ArrowAssoc[Forward] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SpecializedInfo

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Forward to any2stringadd[Forward]

### Inherited by implicit conversion StringFormat from Forward to StringFormat[Forward]

### Inherited by implicit conversion Ensuring from Forward to Ensuring[Forward]

### Inherited by implicit conversion ArrowAssoc from Forward to ArrowAssoc[Forward]

### Ungrouped